clang-tools 10.0.0

Classes | Namespaces | Functions
FuchsiaTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "../google/UnnamedNamespaceInHeaderCheck.h"`
`#include "DefaultArgumentsCallsCheck.h"`
`#include "DefaultArgumentsDeclarationsCheck.h"`
`#include "MultipleInheritanceCheck.h"`
`#include "OverloadedOperatorCheck.h"`
`#include "RestrictSystemIncludesCheck.h"`
`#include "StaticallyConstructedObjectsCheck.h"`
`#include "TrailingReturnCheck.h"`
`#include "VirtualInheritanceCheck.h"`
Include dependency graph for FuchsiaTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::fuchsia::FuchsiaModule
| This module is for Fuchsia-specific checks. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::fuchsia

## Functions
static ClangTidyModuleRegistry::Add< FuchsiaModule > | clang::tidy::fuchsia::X ("fuchsia-module", "Adds Fuchsia platform checks.")